# IntStatMinimumer (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.stats.data
Class IntStatMinimumer

    java.lang.Object
      com.threerings.stats.data.StatModifier<IntStat>
          com.threerings.stats.data.IntStatMinimumer

All Implemented Interfaces:
  com.threerings.io.Streamable

    public class IntStatMinimumer

extends StatModifier<IntStat>

Ensures that a particular stat has been set to a minimum value. If the value of the stat is already greater than or equal to the requested minimum, the stat is not modified.

Nested Class Summary

Nested classes/interfaces inherited from interface com.threerings.io.Streamable
`com.threerings.io.Streamable.Closure`

Constructor Summary
`IntStatMinimumer()` Constructs an empty IntStatMinimumer (for Streaming purposes).
`IntStatMinimumer(Stat.Type type, int minimum)`

Method Summary
`void` `modify(IntStat stat)` Applies the modification to the stat in question.

Methods inherited from class com.threerings.stats.data.StatModifier
`getType, readObject, writeObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntStatMinimumer

    public IntStatMinimumer(Stat.Type type,
                            int minimum)

### IntStatMinimumer

    public IntStatMinimumer()

  Constructs an empty IntStatMinimumer (for Streaming purposes).

Method Detail

### modify

    public void modify(IntStat stat)

  Description copied from class: `StatModifier`
  Applies the modification to the stat in question.

  Specified by:
    `modify` in class `StatModifier<IntStat>`

Copyright © 2011. All Rights Reserved.